3

This question already has an answer here:

I can't get the AWS CLI using python2.7 to work after upgrading to Ubuntu 16.04LTS. I've tried the suggestions from This SO Question from 14.04 Upgrade with no luck. I also uninstalled and reinstalled python2.7. The error I get is ImportError: No module named datetime

marked as duplicate by David Foerster, Eric Carvalho, waltinator, Community Dec 13 '16 at 23:04

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

4

I finally decided it must be the AWS CLI because I noticed that it had it's own python directory. So I uninstalled AWS CLI and reinstalled it and that fixed the problem:

sudo pip uninstall awscli

sudo pip install awscli

Not the answer you're looking for? Browse other questions tagged or ask your own question.